Subject: [Pearg] Proposed virtual interim on IP address privacy

From: "Christopher Wood" <[email-masked]>
Date: Fri, 13 Nov 2020 09:23:23 -0800

The PEARG chairs would like to propose a virtual interim on the topic of IP address privacy. 

IP address uses: 
- Spam, abuse, fraud, DoS protection
- Geo IP
- Ad targeting
- ... others?

Privacy attacks:
- IP re-identification
- IP-based fingerprinting

IP hiding or blindness:
- VPNs (and related technologies like Firefox Private Network)
- Willful IP Blindness (https://github.com/bslassey/ip-blindness)

The format of this would be presentation-based, though we might turn it into a workshop of sorts if folks think that would be more useful.

We are aiming for some time in early December or January. We'd like to hear from folks here if they'd be interested in attending such an interim, and if so, whether they'd like to contribute to the agenda. Of course, suggestions to alter the agenda are also welcome!

Best,
Chris, on behalf of the chairs

---

From: Fernando Gont <[email-masked]>
Date: Fri, 13 Nov 2020 16:30:46 -0300

Hi, Chris,

Some of us have done some work in this area. For example:

* RFC7707
* RFC7721
* RFC7217
* RFC8064
* draft-ietf-6man-rfc4941bis

That said, my comments and questions are:

* I'd be interested in attending

* Is this a meeting to simply to discuss the topic, or do you have any 
proposed work in mind? (if so, what, specifically?  Or is possible 
future work up for discussion?)

* I don't know if the work referenced above is in-topic and of interest. 
If it is, and you think it would make sense to do a presentation to 
provide an overview, I'd be happy to.

Thanks!

Regards,
Fernando

-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Brad Lassey <[email-masked]>
Date: Sat, 14 Nov 2020 09:39:36 -0500

I'd very much be interested in attending as well as presenting on Willful
IP Blindness.

-Brad

On Fri, Nov 13, 2020, 3:08 PM Fernando Gont <[email-masked]> wrote:

> > The format of this would be presentation-based, though we might turn it
> into a workshop of sorts if folks think that would be more useful.
> >
> > We are aiming for some time in early December or January. We'd like to
> hear from folks here if they'd be interested in attending such an interim,
> and if so, whether they'd like to contribute to the agenda. Of course,
> suggestions to alter the agenda are also welcome!
> >
> > Best,
> Pearg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/pearg
>

---

From: Chelsea Komlo <[email-masked]>
Date: Sat, 14 Nov 2020 09:05:51 -0700

Hi Chris,

I recommend that someone from Tor be invited to give a talk on how the
privacy properties provided by tools like Tor differ from some of the other
mechanisms presented (like VPNs or willful IP blindness).

Chelsea

-- 
Chelsea H. Komlo | chelseakomlo.com

---

From: Brad Lassey <[email-masked]>
Date: Mon, 16 Nov 2020 11:17:42 -0500

Dimitris from Whiteops has expressed interest in participating as well.

-Brad

On Sat, Nov 14, 2020 at 11:06 AM Chelsea Komlo <[email-masked]>
wrote:

>>> > The format of this would be presentation-based, though we might turn
>>> it into a workshop of sorts if folks think that would be more useful.
>>> >

---

From: Paul Jensen <[email-masked]>
Date: Mon, 16 Nov 2020 11:57:08 -0500

I'd very much be interested in attending.

-Paul

On Mon, Nov 16, 2020 at 11:18 AM Brad Lassey <lassey=
[email-masked]> wrote:

>>> I'd very much be interested in attending as well as presenting on
>>> Willful IP Blindness.
>>>
>>> -Brad
>>>
>>>> > We are aiming for some time in early December or January. We'd like
>>>> to hear from folks here if they'd be interested in attending such an
>>>> interim, and if so, whether they'd like to contribute to the agenda. Of
>>>> course, suggestions to alter the agenda are also welcome!
>>>> >
>>>> > Best,

---

From: David Turner <[email-masked]>
Date: Mon, 16 Nov 2020 09:01:39 -0800

I'm also interested in attending and presenting on behalf of the Google Ad
Traffic Quality team.

---

From: "Christopher Wood" <[email-masked]>
Date: Mon, 16 Nov 2020 09:44:39 -0800

> * I'd be interested in attending

Great!

> future work up for discussion?)

The purpose (as of now) is to discuss the topic and take note of what emerges during discussion.

> provide an overview, I'd be happy to.

Thanks! I think a summary of these documents would certainly be useful for the group.

Best,
Chris

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 16 Nov 2020 20:16:24 +0000

Hiya,

On 13/11/2020 17:23, Christopher Wood wrote:
> interim, and if so, whether they'd like to contribute to the agenda.
> Of course, suggestions to alter the agenda are also welcome!
I'd attend if possible.

One topic I'd like to see covered is: when is one person's
use-case another person's abuse-case? ISTM the exact same
behaviour can be judged as fine or abusive depending on the
circumstances and actors involved. I think it'd be good to
try be more explicitly aware of that and to maybe consider
if there's a preponderance of evidence for one view or the
other in some cases.

I don't really have presentation material or work-done on
that but am willing to ask awkward questions of others if
that's of any use;-)

Ta,
S.

---

From: Matthew Finkel <[email-masked]>
Date: Mon, 16 Nov 2020 23:50:28 +0000

Hi Chris, everyone,

Someone from Tor (probably me) will be very willing to be included in
this and present Tor as an existing, deployed system that provides IP
address privacy.

I can be a point of contact for now, and I'll talk with other Tor
people in case someone else wants to present instead.

Thanks for organizing this.

Matt

---

From: Vittorio Bertola <[email-masked]>
Date: Tue, 17 Nov 2020 08:10:39 +0100 (CET)

> Il 13/11/2020 18:23 Christopher Wood <[email-masked]> ha scritto:
> 
>  

Thanks to today's dnsop session, I just realized how much work is going on to create large scale automated mechanisms for distributing and updating lists of associations between IP addresses and physical locations, potentially up to the level of a postal code. So yes, I think that it is quite necessary to discuss how to prevent this from becoming a real-time directory of where each fixed line Internet user is, and I'd be happy to join.

-- 
Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: Fernando Gont <[email-masked]>
Date: Tue, 17 Nov 2020 04:29:15 -0300

On 17/11/20 04:10, Vittorio Bertola wrote:
[...]
> Thanks to today's dnsop session, I just realized how much work is going on to create large scale automated mechanisms for distributing and updating lists of associations between IP addresses and ph…

Most likely you won't prevent *this* (address <-> location).  But you 
might prevent address <--> your location via tor, vpns, etc.

Thanks,
-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1

---

From: Vittorio Bertola <[email-masked]>
Date: Tue, 17 Nov 2020 08:45:23 +0100 (CET)

> Il 17/11/2020 08:29 Fernando Gont <[email-masked]> ha scritto:
> 

Possibly you are right.  However, I don't think that the people that want that kind of information really need (or want) to know the exact building you are in.  If it's mostly done to determine a) network position for content delivery optimization and b) applicable jurisdiction, perhaps the I?TF could come up with best practices that recommend ways to do that without exceeding in the amount of information, so that even the average user that has no idea of what Tor is, and does not want to pay for a VPN, can enjoy a reasonable degree of privacy.

---

From: Eliot Lear <[email-masked]>
Date: Tue, 17 Nov 2020 08:47:38 +0100

> On 16 Nov 2020, at 21:16, Stephen Farrell <[email-masked]> wrote:
> 

Another way of putting this is that there are legitimate reasons to want to know who is it that is DOSing me, and who do I contact?  Early work on take downs and Pharma spam has shown that sometimes time is of the essence in order to kill economic incentives for poor behavior.  So what does this mean in terms of privacy?  I can talk a little about this, but the experts are really in Cambridge and at UCSD.

Eliot

---

From: Stephen Farrell <[email-masked]>
Date: Tue, 17 Nov 2020 08:17:39 +0000

Hiya,

On 17/11/2020 07:47, Eliot Lear wrote:
>> One topic I'd like to see covered is: when is one person's use-case
>> another person's abuse-case? ISTM the exact same behaviour can be
>> judged as fine or abusive depending on the circumstances and actors
>> involved. I think it'd be good to try be more explicitly aware of
>> that and to maybe consider if there's a preponderance of evidence
>> for one view or the other in some cases.
> 
> Another way of putting this is that there are legitimate reasons to
> want to know who is it that is DOSing me, and who do I contact?

So yes, to the extent that the text above presents a use-case
without ack'ing that there could be related abuse-case(s),
e.g., there are probably many illegitimate reasons to want to
know who is it that is using an address.

Cheers,
S.

> Early work on take downs and Pharma spam has shown that sometimes
> time is of the essence in order to kill economic incentives for poor
> behavior.  So what does this mean in terms of privacy?  I can talk a
> little about this, but the experts are really in Cambridge and at
> UCSD.
> 
> Eliot
> 
>

---

From: David Turner <[email-masked]>
Date: Tue, 17 Nov 2020 11:09:47 -0800

+Per Bjorke <[email-masked]>

On Mon, Nov 16, 2020 at 9:01 AM David Turner <[email-masked]> wrote:

>>>>>> > The format of this would be presentation-based, though we might
>>>>>> turn it into a workshop of sorts if folks think that would be more useful.
>>>>>> >

---

From: David Turner <[email-masked]>
Date: Wed, 18 Nov 2020 13:41:43 -0800

+ Philipp

On Tue, Nov 17, 2020 at 11:19 AM Per Bjorke <[email-masked]> wrote:

> I'm also interesting in attending (I'm on Google's invalid traffic/ad
> fraud team together with David Turner).
>
> Thanks.
>
> Per
>
>
> Per Bjorke | Sr Product Manager, Ad Traffic Quality | [email-masked] |
> 650-245-3105
>
>
> On Tue, Nov 17, 2020 at 11:10 AM David Turner <[email-masked]> wrote:
>
>>> I'm also interested in attending and presenting on behalf of the Google
>>> Ad Traffic Quality team.
>>>
>>>>> On Sat, Nov 14, 2020 at 11:06 AM Chelsea Komlo <
>>>>> [email-masked]> wrote:
>>>>>
>>>>>> Hi Chris,
>>>>>>
>>>>>> I recommend that someone from Tor be invited to give a talk on how
>>>>>> the privacy properties provided by tools like Tor differ from some of the
>>>>>> other mechanisms presented (like VPNs or willful IP blindness).
>>>>>>
>>>>>> Chelsea
>>>>>>
>>>>>>>> > We are aiming for some time in early December or January. We'd
>>>>>>>> like to hear from folks here if they'd be interested in attending such an

---

From: Philipp Pfeiffenberger <[email-masked]>
Date: Wed, 18 Nov 2020 13:43:05 -0800

I am also interested in attending, representing YouTube Trust & Safety.

---

From: Joey S <[email-masked]>
Date: Wed, 25 Nov 2020 14:24:50 -0600

+1 interested in attending

--
Joey Salazar
Digital Sr. Programme Officer
ARTICLE 19
6E9C 95E5 5BED 9413 5D08 55D5 0A40 4136 0DF0 1A91

On 18-Nov-20 3:43 PM, Philipp
Pfeiffenberger wrote:

I
am also interested in attending, representing YouTube Trust
& Safety.

On Wed, Nov 18, 2020 at 1:41
PM David Turner <[email-masked]> wrote:

+ Philipp

On Tue, Nov 17, 2020 at
11:19 AM Per Bjorke <[email-masked]>
wrote:

I'm also interesting in attending (I'm on
Google's invalid traffic/ad fraud team together with
David Turner).

Thanks.

Per

Per
Bjorke | Sr
Product
Manager, Ad
Traffic
Quality | [email-masked] | 650-245-3105

On Tue, Nov 17, 2020
at 11:10 AM David Turner <[email-masked]>
wrote:

+Per Bjorke

On Mon, Nov 16,
2020 at 9:01 AM David Turner <[email-masked]>
wrote:

I'm also interested in attending
and presenting on behalf of the Google Ad
Traffic Quality team.

On Mon, Nov
16, 2020 at 8:59 AM Paul Jensen
<pauljensen=[email-masked]>
wrote:

I'd very much be interested
in attending.

-Paul

On Mon,
Nov 16, 2020 at 11:18 AM Brad Lassey
<lassey=[email-masked]>
wrote:

Dimitris from Whiteops
has expressed interest in
participating as well.

-Brad

On
Sat, Nov 14, 2020 at 11:06 AM
Chelsea Komlo <[email-masked]>
wrote:

Hi Chris,

I recommend that someone from
Tor be invited to give a talk on
how the privacy properties
provided by tools like Tor
differ from some of the other
mechanisms presented (like VPNs
or willful IP blindness).

Chelsea

On
Sat, Nov 14, 2020 at 7:40 AM
Brad Lassey <lassey=[email-masked]>
wrote:

I'd very much
be interested in attending
as well as presenting on
Willful IP Blindness.

-Brad

On Fri,
Nov 13, 2020, 3:08 PM
Fernando Gont <[email-masked]>
wrote:

Hi, Chris,

Some of us have done some
work in this area. For
example:

* RFC7707

* RFC7721

* RFC7217

* RFC8064

That said, my comments and
questions are:

* I'd be interested in
attending

* Is this a meeting to
simply to discuss the topic,
or do you have any

proposed work in mind? (if
so, what, specifically?  Or
is possible

future work up for
discussion?)

* I don't know if the work
referenced above is in-topic
and of interest.

If it is, and you think it
would make sense to do a
presentation to

provide an overview, I'd be
happy to.

Thanks!

Regards,

Fernando

On 13/11/20 14:23,
Christopher Wood wrote:

> The PEARG chairs would
like to propose a virtual
interim on the topic of IP
address privacy.

> - IP-based
fingerprinting

> - VPNs (and related
technologies like Firefox
Private Network)

> - Willful IP Blindness
(https://github.com/bslassey/ip-blindness)

> The format of this
would be presentation-based,
though we might turn it into
a workshop of sorts if folks
think that would be more
useful.

> We are aiming for some
time in early December or
January. We'd like to hear
from folks here if they'd be
interested in attending such
an interim, and if so,
whether they'd like to
contribute to the agenda. Of
course, suggestions to alter
the agenda are also welcome!

--

Fernando Gont

SI6 Networks

PGP Fingerprint: 6666 31C6
D484 63B2 8FB1 E3C4 AE25
0D55 1D4E 7492

--

Pearg mailing list

[email-masked]

--

Pearg mailing list

[email-masked]

--

--

Pearg mailing list

[email-masked]

--

Pearg mailing list

[email-masked]

--

Pearg mailing list

[email-masked]

---

From: Christian Huitema <[email-masked]>
Date: Wed, 25 Nov 2020 18:41:51 -0800

I am interested too.

On 11/25/2020 12:24 PM, Joey S wrote:
> On 18-Nov-20 3:43 PM, Philipp Pfeiffenberger wrote:
>> On Wed, Nov 18, 2020 at 1:41 PM David Turner <[email-masked] 
>> <mailto:[email-masked]>> wrote:
>>
>>     + Philipp
>>
>>     On Tue, Nov 17, 2020 at 11:19 AM Per Bjorke <[email-masked]
>>     <mailto:[email-masked]>> wrote:
>>
>>         I'm also interesting in attending (I'm on Google's invalid
>>         traffic/ad fraud team together with David Turner).
>>
>>         Thanks.
>>
>>         Per
>>
>>
>>         Per Bjorke | Sr Product Manager, Ad Traffic Quality
>>         [email-masked] <mailto:[email-masked]> |650-245-3105
>>
>>
>>         On Tue, Nov 17, 2020 at 11:10 AM David Turner
>>         <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>             +Per Bjorke <mailto:[email-masked]>
>>
>>             On Mon, Nov 16, 2020 at 9:01 AM David Turner
>>             <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>                 I'm also interested in attending and presenting on
>>                 behalf of the Google Ad Traffic Quality team.
>>
>>                 On Mon, Nov 16, 2020 at 8:59 AM Paul Jensen
>>                 <pauljensen=[email-masked]
>>                 <mailto:[email-masked]>> wrote:
>>
>>                     On Mon, Nov 16, 2020 at 11:18 AM Brad Lassey
>>                     <lassey=[email-masked]
>>                     <mailto:[email-masked]>> wrote:
>>
>>                         On Sat, Nov 14, 2020 at 11:06 AM Chelsea
>>                         Komlo <[email-masked]
>>                         <mailto:[email-masked]>> wrote:
>>
>>                             Hi Chris,
>>
>>                             I recommend that someone from Tor be
>>                             invited to give a talk on how the privacy
>>                             properties provided by tools like Tor
>>                             differ from some of the other mechanisms
>>                             presented (like VPNs or willful IP
>>                             blindness).
>>
>>                             Chelsea
>>
>>                             On Sat, Nov 14, 2020 at 7:40 AM Brad
>>                             Lassey
>>                             <lassey=[email-masked]
>>                             <mailto:[email-masked]>> wrote:
>>
>>                                 On Fri, Nov 13, 2020, 3:08 PM
>>                                 Fernando Gont <[email-masked]
>>                                 <mailto:[email-masked]>> wrote:
>>
>>                                     Hi, Chris,
>>
>>                                     * Is this a meeting to simply to
>>                                     discuss the topic, or do you have
>>                                     any
>>                                     referenced above is in-topic and
>>                                     of interest.
>>                                     > The PEARG chairs would like to
>>                                     propose a virtual interim on the
>>                                     topic of IP address privacy.
>>                                     >
>>                                     > IP address uses:
>>                                     technologies like Firefox Private
>>                                     Network)
>>                                     > - Willful IP Blindness
>>                                     (https://github.com/bslassey/ip-blindness
>>                                     <https://github.com/bslassey/ip-blindness>)
>>                                     >
>>                                     > The format of this would be
>>                                     presentation-based, though we
>>                                     might turn it into a workshop of
>>                                     sorts if folks think that would
>>                                     be more useful.
>>                                     >
>>                                     like to hear from folks here if
>>                                     they'd be interested in attending
>>                                     such an interim, and if so,
>>                                     whether they'd like to contribute
>>                                     to the agenda. Of course,
>>                                     <mailto:[email-masked]>
>>                                     <mailto:[email-masked]>
>>                                     <https://www.irtf.org/mailman/listinfo/pearg>
>>
>>                                 -- 
>>                                 Pearg mailing list
>>                                 [email-masked] <mailto:[email-masked]>
>>                                 <https://www.irtf.org/mailman/listinfo/pearg>
>>
>>
>>
>>                             -- 
>>                             <http://chelseakomlo.com>
>>                             -- 
>>                             Pearg mailing list
>>                             [email-masked] <mailto:[email-masked]>
>>                             <https://www.irtf.org/mailman/listinfo/pearg>
>>
>>                         -- 
>>                         Pearg mailing list
>>                         [email-masked] <mailto:[email-masked]>
>>                         <https://www.irtf.org/mailman/listinfo/pearg>
>>
>>                     -- 
>>                     Pearg mailing list
>>                     [email-masked] <mailto:[email-masked]>
>>                     <https://www.irtf.org/mailman/listinfo/pearg>
>>
>>
>
>

---

From: Corinne Cath <[email-masked]>
Date: Thu, 26 Nov 2020 10:13:40 +0300

Interested too! corinne

On Thu, Nov 26, 2020 at 5:42 AM Christian Huitema <[email-masked]>
wrote:

>>> Per Bjorke | Sr Product Manager, Ad Traffic Quality | [email-masked]
>>>  | 650-245-3105
>>>
>>>
>>>>> I'm also interested in attending and presenting on behalf of the
>>>>> Google Ad Traffic Quality team.
>>>>>
>>>>>>>>>> > - Willful IP Blindness (
>>>>>>>>>> https://github.com/bslassey/ip-blindness)
>>>>>>>>>> >

-- 
Corinne Cath - Speth
Ph.D. Candidate, Oxford Internet Institute & Alan Turing Institute

Web: www.oii.ox.ac.uk/people/corinne-cath
Email: [email-masked] & [email-masked]
Twitter: @C_CS